---
title: "Get List of All Teams"
slug: "get-list-of-all-teams"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of All Teams

Get/api/v1/teams.listAll

Lists all the teams and their information.

Permission required: `view-all-teams`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersoffsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50

Responses200

OK Note that the `roomId` is main room ID of the team.

<select class='api-response-data' aria-label='Media type'><option value='d9dd425c-33a3-4425-a143-72afa8921d29'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='157c50bb-8ca3-4483-ab25-1c2f75541536'>Success</option>
</select>Success

```json
{
  "teams": [
    {
      "_id": "63f3efc4b000b6b6d86704b2",
      "name": "test-audit",
      "type": 0,
      "createdAt": "2023-02-20T22:10:12.733Z",
      "createdBy": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "test.test"
      },
      "_updatedAt": "2023-02-20T22:10:12.843Z",
      "roomId": "6GFJ3tbmHiyHbahmC",
      "rooms": 0,
      "numberOfUsers": 2
    },
    {
      "_id": "6435624052492a08c3a756fd",
      "name": "Test-team",
      "type": 0,
      "createdAt": "2023-04-11T13:36:00.496Z",
      "createdBy": {
        "_id": "rYhzFRd2QZjNwAAXX",
        "username": "rodriq"
      },
      "_updatedAt": "2023-04-11T13:36:00.855Z",
      "roomId": "h5gPM3Wpip8nEFwbu",
      "rooms": 0,
      "numberOfUsers": 2
    },
    {
      "_id": "65149c7ea2f73c7460e18cab",
      "name": "messages",
      "type": 0,
      "createdAt": "2023-09-27T21:19:58.972Z",
      "createdBy": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie"
      },
      "_updatedAt": "2023-09-27T21:19:59.038Z",
      "roomId": "6513afeda2f73c7460e18c86",
      "rooms": 0,
      "numberOfUsers": 2
    }
  ],
  "total": 3,
  "count": 3,
  "offset": 0,
  "success": true
}
```

Expand Allobject  teams Array of object   object  _idstring    
namestring    
typeinteger    
createdAtstring    
createdByobject  _idstring    
usernamestring    

_updatedAtstring    
roomIdstring    
roomsinteger    
numberOfUsersinteger    

totalinteger    
countinteger    
offsetinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='8851d027-d9ed-4458-a155-40e843568d64'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c15f0a59-344c-40a2-aa04-887c7a8435cc'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
